Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Èròjà atẹ̀lélànà yii ni a ti fi pamọ́ fọ́jọ́ pípẹ́. Jọ̀wọ́ béèrè ìbéèrè titun bí o bá nílò ìrànwọ́.

Is there a way to put firefox in backwards compatibility mode?

  • 10 àwọn èsì
  • 1208 ní àwọn ìṣòro yìí
  • 39284 views
  • Èsì tí ó kẹ́hìn lọ́wọ́ the-edmeister

more options

Using Firefox 4 Beta on a company Intranet site which is a SAP NetWeaver Portal I get "Sorry, your browser/program is not supported by Web Dynpro! " Is there a way to put Firefox 4 into a backwards compatibility mode?

Ọ̀nà àbáyọ tí a yàn

Your SAP-Admin should implement SAP-Note 1602569. This should fix also issues with even newer versions of FF (i.e. FF9, FF10 etc). Don't fool around with browser strings! It's an SAP-issue.

Ka ìdáhùn ni ìṣètò kíkà 👍 9

All Replies (10)

more options

The application may be searching your user agent string to detect the version of Firefox, you could change your user agent string to make it appear that you are using an older version of Firefox. This can cause issues with other sites which could end up reporting an incompatible browser if it was looking for Firefox 4. Personally I would not try this, instead I have multiple versions of Firefox installed, each with their own profile (location where user data is stored), and will switch to Firefox 3.6.* when required.

If you want to change the user agent string do the following:

  1. Type about:config into the location bar and press enter
  2. Accept the warning message that appears, and this will bring up a list of preferences.
  3. Right-click somewhere on that page and choose New > String
  4. For the preference name enter general.useragent.override
  5. For the preference value, use a user agent sting from an older version of Firefox such as the one below

Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.2.8) Gecko/20100722 Firefox/3.6.8

There is no guarantee that using an earlier user agent string will work, there may be changes in Firefox 4 that prevents the site from working.

If you decide to use multiple versions of Firefox, make sure you install Firefox 3.6.* and Firefox 4 beta in different locations, you can use the custom installation option to choose where Firefox is installed. By default Firefox 4 betas are installed in a different location than release versions of Firefox.

You can then create a new profile for use with the different versions of Firefox, for details see Creating a new Firefox profile on Windows - MozillaZine Knowledge Base

Next you can set up shortcuts for each installation of Firefox to launch its own profile, see Shortcut to a specific profile - MozillaZine Knowledge Base

You should also read the Testing pre-release versions article.

more options

Thanks TonyE. I have the old version still installed, but I like the features of the new version so I chose to add the string you mentioned and it worked.

more options

FYI: It is not advised to change the user agent permanently that way via the pref general.useragent.override. Extensions like User Agent Switcher and PrefBar that can change the user agent always reset that pref on the next startup to prevent problems in case that you forget having changed the user agent that way. Also in the past the Java plugin checked the user agent to know for which version of Firefox it needs to start. I don't know in what way that works in Firefox 4.0

See http://kb.mozillazine.org/Resetting_your_useragent_string_to_its_compiled-in_default

more options

SAP portal reportedly works after resetting the user agent: https://bugzilla.mozilla.org/show_bug.cgi?id=614898

However, since you only need to reset the user agent for that one site it would be safer to use an addon like this: https://addons.mozilla.org/en-us/firefox/addon/uacontrol/

more options

I have already installed the new Firefox 4. Then I tried creating a new Firefox Profile on Windows, but it does not seem to work for me. I still get "Sorry, your browser/program is not supported by Web Dynpro! "

I need to solve this problem.

more options

I found this same problem on first accessing my company intranet after installing Firefox 4, having not tried the Beta.

I am concerned about having multiple versions of Firefox, as each time I switch, other functions (like web-mail) think I am a new user and ask for log-ins - much time wasting.

I'm a bit wary of meddling with such things as "user agents" ...

For the moment I am using a different browser altogether (Safari) for intranet access, but it's not a satisfactory solution!

more options

Ọ̀nà àbáyọ Tí a Yàn

Your SAP-Admin should implement SAP-Note 1602569. This should fix also issues with even newer versions of FF (i.e. FF9, FF10 etc). Don't fool around with browser strings! It's an SAP-issue.

Ti ṣàtúnṣe nípa muelly2

more options

so far the best solution and most effective! chaiyook!!

more options

That's great trick TonyE... But the problem is that the overall speed of firefox newer versions reduces by this method. You can check it from the test from following link.

http://www.mozilla.org/en-US/firefox/speed/

more options

http://www.mozilla.org/en-US/firefox/speed/ = is a joke, there's only two "speeds" for that display. Older versions show the "Old Firefox" speed and Firefox 9.0.1 shows the "New Firefox" speed. It's a CSS / JavaScript display for marketing purposes, not a true speed test like http://www.speedtest.net/.